PASSWD-IN-IMAGE(1)

NAME
passwd-in-image - change password of a user inside a disk image file

SYNOPSIS

passwd-in-image [image] [user] [--password {PASSWORD}] [-h, --help]

DESCRIPTION

FreedomBox is a community project to develop, design and promote personal servers running free software for private, personal communications. It is a networking appliance designed to allow interfacing with the rest of the Internet under conditions of protected privacy and data security. It hosts applications such as blog, wiki, website, social network, email, web proxy and a Tor relay on a device that can replace a wireless router so that data stays with the users.

freedom-maker is a tool to build FreedomBox images for various single board computers, virtual machines and general purpose computers.

Password in image script lets you change the password of a user in an image file generated by freedom-maker.

OPTIONS

image
    Disk image file (.img or .vdi) inside which user manipulation is sought.

user
    User account to change password for.

--password PASSWORD
    New password for the user.

EXAMPLES

Example 1. Change password for fbx default user in BeagleBone image

    $ passwd-in-image freedom-maker-beaglebone.img fbx
          --password somepassword

Change the password of the user with username someuser to somepassword.

BUGS

See the freedom-maker issue tracker[1] for a full list of known issues and TODO items.

AUTHOR

FreedomBox Developers

NOTES

1.  freedom-maker issue tracker
    https://salsa.debian.org/freedombox-team/freedom-maker/-/issues